Bug 145323 - [BASE] [REPORTBUILDER] [REGRESSION] [7.2.x] Moving a field to a different section corrupts the field
Summary: [BASE] [REPORTBUILDER] [REGRESSION] [7.2.x] Moving a field to a different sec...
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
7.2.1.2 release
Hardware: x86-64 (AMD64) All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords: bibisected, bisected, dataLoss, regression
Depends on:
Blocks:
 
Reported: 2021-10-26 13:50 UTC by Alexey Rukin
Modified: 2021-12-02 08:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
A data field in a report. (129.52 KB, image/png)
2021-10-26 13:53 UTC, Alexey Rukin
Details
The properties of this data field. (111.42 KB, image/png)
2021-10-26 13:53 UTC, Alexey Rukin
Details
The same field after moving to a different section. (128.27 KB, image/png)
2021-10-26 13:54 UTC, Alexey Rukin
Details
The properties panel after moving. (108.00 KB, image/png)
2021-10-26 13:54 UTC, Alexey Rukin
Details
screencast (833.35 KB, video/x-matroska)
2021-11-04 11:04 UTC, Xisco Faulí
Details
[7.2.3.2] A correct field (680.83 KB, image/jpeg)
2021-11-25 22:33 UTC, Alexey Rukin
Details
[7.2.3.2] The same field after moving or copying (681.49 KB, image/jpeg)
2021-11-25 22:34 UTC, Alexey Rukin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Rukin 2021-10-26 13:50:14 UTC
Description:
Create a report in a database and try to move a label or a formatted field from Details to Report Header or vice-versa. The moved field becomes empty and its properties cannot be restored. 

Steps to Reproduce:
1. Create a report using Report Wizard.
2. Open the report in Report Builder.
3. Try to move a label or a data field from Details to Page Header, Report Header or Group Header.


Actual Results:
The field becomes empty and cannot be restored or set up again, the properties panel is screwed up.

Expected Results:
The field should be moved with all its properties.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
[Information automatically included from LibreOffice]
Locale: ru
Module: StartModule
[Information guessed from browser]
OS: Windows (All)
OS is 64bit: yes
Comment 1 Alexey Rukin 2021-10-26 13:53:27 UTC
Created attachment 175927 [details]
A data field in a report.
Comment 2 Alexey Rukin 2021-10-26 13:53:52 UTC
Created attachment 175928 [details]
The properties of this data field.
Comment 3 Alexey Rukin 2021-10-26 13:54:22 UTC
Created attachment 175929 [details]
The same field after moving to a different section.
Comment 4 Alexey Rukin 2021-10-26 13:54:51 UTC
Created attachment 175930 [details]
The properties panel after moving.
Comment 5 Alexey Rukin 2021-10-28 10:36:07 UTC
The bug is present also in 7.2.1.2.
Comment 6 Alexey Rukin 2021-10-28 11:37:40 UTC
This bug is NOT present in the 7.1.8 development build.
Comment 7 Alex Thurgood 2021-10-28 13:34:04 UTC
Reproduced with 

Version: 7.2.1.2 / LibreOffice Community
Build ID: 87b77fad49947c1441b67c559c339af8f3517e22
CPU threads: 8; OS: Mac OS X 10.16; UI render: default; VCL: osx
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded
Comment 8 Alex Thurgood 2021-10-28 13:39:11 UTC
No repro with 

Version: 7.1.6.2 / LibreOffice Community
Build ID: 0e133318fcee89abacd6a7d077e292f1145735c3
CPU threads: 8; OS: Mac OS X 10.16; UI render: default; VCL: osx
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded

bibisect range between 7.1x and 7.2.x
Comment 9 Xisco Faulí 2021-11-04 10:59:56 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=09cb778b6eb7d3a5b9029965a1320b49c90e7295

author	Noel <noel.grandin@collabora.co.uk>	2021-02-09 13:42:22 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2021-02-10 07:35:41 +0100
commit 09cb778b6eb7d3a5b9029965a1320b49c90e7295 (patch)
tree 63d75bc66ddbe4af5f6a52f4a0d65e9b199dbae7
parent ccdee8eebaa56619248e35001017226eecfe4e83 (diff)
clean up SdrObject cloning

Bisected with: bibisect-linux64-7.2

Adding Cc: to Noel Grandin
Comment 10 Xisco Faulí 2021-11-04 11:04:25 UTC
Created attachment 176102 [details]
screencast
Comment 11 Commit Notification 2021-11-15 07:35:37 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/92857b181a715de08bd4264f4dc4161367d2b3c7

tdf#145323 reportbuilder Moving a field corrupts the field

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Xisco Faulí 2021-11-15 11:30:08 UTC
Verified in

Version: 7.3.0.0.alpha1+ / LibreOffice Community
Build ID: e6968f0485cfb2f6c941d11c438386e14a47095d
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!
Comment 13 Commit Notification 2021-11-15 14:16:04 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/5894c98b7cddc9429167bf5f2ef492aabdcf9fb1

tdf#145323 reportbuilder Moving a field corrupts the field

It will be available in 7.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2021-11-15 17:14:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-2-3":

https://git.libreoffice.org/core/commit/c95ddfc252c57dd2454a7e37b8abfe2b6fa74a84

tdf#145323 reportbuilder Moving a field corrupts the field

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Alexey Rukin 2021-11-25 22:30:04 UTC
Not fixed in:
Version: 7.2.3.2 (x64) / LibreOffice Community
Build ID: d166454616c1632304285822f9c83ce2e660fd92
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: CL

The behavior is now slightly different. After moving into a different report section, the field becomes a static formatted text field, and its properties are still screwed up. Has this patch actually been pushed to 7.2.3?
Comment 16 Alexey Rukin 2021-11-25 22:33:20 UTC
Created attachment 176509 [details]
[7.2.3.2] A correct field
Comment 17 Alexey Rukin 2021-11-25 22:34:19 UTC
Created attachment 176510 [details]
[7.2.3.2] The same field after moving or copying
Comment 18 Alexey Rukin 2021-11-25 22:58:04 UTC
The same behavior in

Version: 7.3.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 515682539623c9d61921c4f89302ffa0a4cb8d24
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: CL

Even more, the moved (or copied, this occurs also with copying) field is entirely LOST after saving the report. Try to reproduce this:
1. Perform everything from the initial post.
2. Save the report, save the base, close it and reopen.
3. Reopen the report for editing. The corrupted field disappears entirely.
Comment 19 Alexey Rukin 2021-12-02 08:52:35 UTC
IMPORTANT NOTE!
Formatted fields created in the Report Builder itself, behave PROPERLY, but the same fields created previously by Report Wizard DO NOT.
This behavior is unchanged in 7.3.0.0 beta 1.